cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Go to solution
Helper I

WordPress 5.0 Not Compatible with my GoDaddy Platform

OK, I posted earlier today a question if WordPress 5.0 update would be compatible with my GoDaddy Hosting. I am currently using WordPress 4.9.8 and there is an update to 5.0 on my Dashboard.

So I was told it would work ok, so I hit that big UPDATE button...tick tick tick...I get this error:

Downloading update from https://downloads.wordpress.org/release/wordpress-5.0-new-bundled.zip…

Unpacking the update…


Fatal error: Maximum execution time of 30 seconds exceeded in D:\Hosting\2382815\html\wp-admin\includes\class-wp-filesystem-direct.php on line 76

 

I try it several times to no success.

 

I get on GoDaddy chat for support to see what the issue is and they tell my that my hosting platform is old and will not support WordPress 5.0 and they tell me I  need to pay $269.00 and migrate to a Managed WordPress plan. Gesh....

Now I am no expert on website building and I am due to renew my services at the end of this month. I have been using GoDaddy for several years. I just recently in the last couple of months converted to WordPress because my old website software was very old and obsolete. (Adobe GoLive6). I was very happy with my new Wordpress site and now I am told I have to change plans and move it. WAH!

I have no idea even how to migrate from one plan to another! I am very distressed over this all..

4 REPLIES 4
Super User III
Super User III

Re: WordPress 5.0 Not Compatible with my GoDaddy Platform

Hey there!

 

That's a very curious suggestion you were given. What hosting platform are you currently using?

 

The statement would be true if you were on the older Classic Webhosting platform. If you've purchased it recently, then you would be on cPanel. That should be compatible if you're on PHP 7+. 

 

Based on the error you're getting, it looks like something in the update process didn't go quite right. As long as you're on a compatible platform, then you should have no issues doing WordPress core file replacement and that should correct the issue. You can find tutorials on how to accomplish this with a simple Google search, you can purchase WP Premium Support from GoDaddy and they'll fix you up, or you can hire a developer and they should be able to correct the issue.

 

If you're not sure how to do that or don't want to pay for the services, I would restore your local backup of the site to revert it to the previous version.

 

If you're not on a compatible platform, like the Classic Webhosting, then you will need to migrate to a new platform. Good news on that is that you should be able to get it cheaper with a multi-year discount as opposed to paying the renewal pricing on the old hosting.



I am a GoDaddy End User - Just Like You
Check out my site! | I drink and I know things. Especially about websites and web hosting.
* Please note that I offer free advice on this forum. If you would like personalized help, please contact me. Otherwise, please ask your question in the proper forum so the answer can assist EVERYONE in the community and not just you. Thanks! *

Once your issue is resolved,
please be sure to come back and click accept for the solution

Get Better Support on the Community Boards!
Etiquette When Asking for Help from the Community


Helper I

Re: WordPress 5.0 Not Compatible with my GoDaddy Platform

Good Morning MrVapor,

Thank you for your continued assistance. I have been a customer since 2006 and yea I guess I am on an older platform. I had assumed that GoDaddy would keep their platform updated as time went on and never considered that they would just leave it as it  is..I am on the Economy Web Hosting Windows and have been since signing on with Godaddy.

Looking in my php programming languages, the highest available is 5.6

I guess my only 2 options are to 

1. Stay where I am and change nothing or

2. Change my plan and migrate everything over to that, which I have no idea how to do.

 

I did read your message about using a plug in and using a default WordPress..but once again, I have no idea how I would even install a default Word Press..the whole thing is over my head at this point.

 

Staying where I am is what I should do I guess. Until I do some research and figure it all out..sigh..and tell myself.."That which does not kill us, makes us stronger."

Thank you again MrVapor!

Community Manager
Community Manager
Solution

Re: WordPress 5.0 Not Compatible with my GoDaddy Platform

Hi @Digitell. There are a few options that might work for you in terms of migrating without having to pay for the migration. 

 

Use Managed WordPress 

Managed WordPress plans come with a free migration tool that should work to pull your site over automatically. It's part of the setup process. All you need to know is your WordPress dashboard login, and it should be able to pull the existing site over. 

 

Use cPanel with Installatron

If you'd rather stick with a more traditional web hosting platform, you can get one of our cPanel plans and then just use Installatron to install/migrate your existing WordPress install. You need a bit more information to do it this way and it's slightly more technical, but it should also work. You can find instructions on how to do that here

 

Hope those options help. 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.
Helper I

Re: WordPress 5.0 Not Compatible with my GoDaddy Platform

Thank you JesseW for your response. The Migration Plan seems the way to go. I will give GoDaddy a call and get things situated. Thank you!